View Issue Details

IDProjectCategoryView StatusLast Update
0025849mantisbtcode cleanuppublic2019-06-14 06:40
Reporterdregad Assigned Todregad  
PrioritynormalSeverityminorReproducibilityN/A
Status resolvedResolutionfixed 
Product Version 
Target Version2.22.0Fixed in Version2.22.0 
Summary0025849: New prepare_mailto_url() API function
Description

There are several places in MantisBT code where mailto: links are built manually.

To avoid code duplication, we should provide a new API to standardize this functionality.

TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

MantisBT: master a293c691

2019-04-28 04:58:53

dregad

Details Diff
New prepare_mailto_url() API function

There are several places in MantisBT code where mailto: links are built
manually. Provide a new API to standardize this functionality.

Fixes 0025849
Affected Issues
0025849
mod - core/prepare_api.php Diff File

MantisBT: master 6e2edf1e

2019-04-30 03:52:11

dregad

Details Diff
Use API functions instead of hardcoding mailto: URLs

Issue 0025849
Affected Issues
0025849
mod - core/cfdefs/cfdef_standard.php Diff File
mod - manage_plugin_page.php Diff File

MantisBT: master a9b249b0

2019-04-30 18:54:25

dregad

Details Diff
PHPUnit tests for prepare_mailto_url()

Issue 0025849
Affected Issues
0025849
mod - tests/Mantis/AllTests.php Diff File
add - tests/Mantis/PrepareTest.php Diff File

Issue History

Date Modified Username Field Change
2019-06-10 11:11 dregad New Issue
2019-06-10 11:11 dregad Status new => assigned
2019-06-10 11:11 dregad Assigned To => dregad
2019-06-14 06:40 dregad Changeset attached => MantisBT master a293c691
2019-06-14 06:40 dregad Changeset attached => MantisBT master a9b249b0
2019-06-14 06:40 dregad Changeset attached => MantisBT master 6e2edf1e
2019-06-14 06:40 dregad Status assigned => resolved
2019-06-14 06:40 dregad Resolution open => fixed
2019-06-14 06:40 dregad Fixed in Version => 2.22.0